package com.imdroid.sideslope.message;

import com.imdroid.sideslope.bd.Gga;
import com.imdroid.sideslope.bd.Tilt;
import com.imdroid.sideslope.bd.UBXUtil;
import io.netty.buffer.ByteBuf;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author Layton
 * @date 2023/2/2 20:50
 */
@Data
@EqualsAndHashCode(callSuper=true)
public class D350TestMessage extends BaseMessage {
    double accX;
    double accY;
    double accZ;
    Gga gga;
    @Override
    public void decodeBody(ByteBuf src) {
        accX = src.readFloat();
        accY = src.readFloat();
        accZ = src.readFloat();
    }
}
